<?php
error_reporting(E_ALL ^ E_NOTICE);
session_start();
include_once("session_class.php");
$session = new Sessions;
if (!$session->is_session(session_id())) { die('Сначала зайдите в игру <a href=/chat.htm>enter</a>') ; }
?>
<HTML><HEAD>
<link rel=stylesheet type="text/css" href="../i/main.css">
<meta content="text/html; charset=windows-1251" http-equiv=Content-type>
<META Http-Equiv=Cache-Control Content=no-cache>
<meta http-equiv=PRAGMA content=NO-CACHE>
<META Http-Equiv=Expires Content=0>
</HEAD>
<body bgcolor=e2e0e0><p align=right><INPUT TYPE=button value="Вернуться" onClick="top.returned()"></p>
<?php
  include_once('poll/pollconfig.inc');
  include_once("poll/lng/rus_lng.inc");
  include_once('poll/functions.inc');
  include_once('poll/graphic-conf.inc');

  //получаем список нужных файлов из каталога test
  $dr = opendir('poll/txt');
  while($file = readdir($dr))
  {
    if(strpos($file, 'arch') !== false)
      $PollFiles[] = $file;
  }
  closedir($dr);

  //если отсутствуют файлы с активными голосованиями - сообщаем об этом и прекращаем работу скрипта
  if(count($PollFiles) == 0)
  {
    print $Cpt_NoItems;
    exit;
  }

  //поочередно помещаем файлы в массив $Arr, затем выбираем из него данные
  $MdInx = 0;
  for($i = (count($PollFiles)-1); $i >= 0; $i--)
  {
    $Arr = file('poll/txt/'.$PollFiles[$i]);
    //Выбираем данные из массива $Arr и добавляем голосование в многомерный массив $Polls
    for($b = 0; $b < count($Arr); $b++)
      //$Polls[] = $Arr[$i] ;
    {
      if(strpos($Arr[$b], '[quest]') !== false)
    	{
	      $PollsMD[$MdInx]['quest'] = trim(StripBBCode($Arr[$b]));
      }
      if(ereg("\[var[0-9a-z]+\]", $Arr[$b]) !== false)
      {
        $PollsMD[$MdInx][$Variants][] = trim(StripBBCode($Arr[$b]));
      }
      if(strpos($Arr[$b], '[show]') !== false)
    	{
        $PollsMD[$MdInx]['showstatus'] = trim(StripBBCode($Arr[$b]));
        //по этой строке мы будем определять имеются ли вообще голосования в архиве, которые можно показывать
        $ShowStatus .= $PollsMD[$MdInx]['showstatus'];
      }
      if(strpos($Arr[$b], '[time]') !== false)
    	{
        $PollsMD[$MdInx]['time'] = trim(StripBBCode($Arr[$b]));
        //по этой строке мы будем определять имеются ли вообще голосования в архиве, которые можно показывать
        $MdInx++;
      }
    }  //for($b = 0; $b < count($Arr); $b++)
  }  //for($i = (count($PollFiles)-1); $i >= 0; $i--)
  //определяем есть ли голосования, которые можно показывать
  if(strpos($ShowStatus, '1') === false)
    print $Cpt_NoItems; else
  {
    //форма выбора формы отображения
    if($ChangeFormPerm == 'yes')
    {
      include_once('poll/graphconf/graph_access.inc');
	    $ShowMode = $_POST['ShowMode'];
	    print "<form action='pollarchive.php' method = post>";
        print "<table cellspacing=2 cellpadding=5 width=60% border=1>";
      print "<tr>";
        print "<td>{$Cpt_ShowMode}</td>";
        print "<td>";
          print "<select name=ShowMode>";
            print "<option value=tables>{$Opt_Tables}";
            if($UseHorHist == 'on')
              print "<option value=horhistogrammes>{$Opt_HorHistogrammes}";
            if($UseVertHist == 'on')
              print "<option value=verthistogrammes>{$Opt_VertHistogrammes}";
            if($UsePie == 'on')
              print "<option value=pie>{$Opt_Pie}";
            if($UsePiePlot3D == 'on')
              print "<option value=PiePlot3D>{$Opt_PiePlot3D}";
            if($UseJpGraph_Bar1 == 'on')
              print "<option value=jpgraph_bar1>{$Opt_JpGraph_Bar1}";
            if($UseJpGraph_Bar2 == 'on')
              print "<option value=jpgraph_bar2>{$Opt_JpGraph_Bar2}";
            if($UseScatterPlot == 'on')
              print "<option value=scatterplot>{$Opt_ScatterPlot}";
          print "</select>";
        print "</td>";
        print "<td><input type=submit value='{$Button_OK}'></td>";
      print "</tr>";
      print "</table>";
	    print "</form>";
	    if(!empty($ShowMode))
	      $PresentForm = $ShowMode; else
	      $PresentForm = $ShowResForm;
    } else $PresentForm = $ShowResForm;
    for($i = 0; $i < count($PollsMD); $i++)
	  {
	    if($PollsMD[$i]['showstatus'] == 1)
	    {
	      //подсчитываем количество проголосовавших
	      for($b = 1; $b < count($PollsMD[$i][$Variants]); $b = $b + 2)
	        $Total = $Total + (int)$PollsMD[$i][$Variants][$b];
	      //Подсчитываем 1%
	      if($Total != 0)
	        $_1Percent = 100 / $Total; else $_1Percent = 0;
	      print "<table cellspacing=2 cellpadding=5 width=50% border=0>";
	        print "<tr><td><b><big>{$PollsMD[$i]['quest']}</big></b></td></tr>";
	      print "</table>";
        //в форме таблицы
        if($PresentForm == 'tables')
        {
          print "<table cellspacing=2 cellpadding=5 width=50% border=1>";
	        for($c = 0; $c < count($PollsMD[$i][$Variants]); $c = $c + 2)
	        {
	          print "<tr>";
	            print "<td>{$PollsMD[$i][$Variants][$c]}</td>";
	            print "<td>{$PollsMD[$i][$Variants][($c+1)]}</td>";
	            print "<td>";
	              print number_format(($PollsMD[$i][$Variants][($c+1)] * $_1Percent), 2)."%";
	            print "</td>";
	          print "</tr>";
	        }
	        print "<tr><td colspan=3>{$Cpt_Total} {$Total}</td></tr>";
	        print "</table>";
        }
        //в форме таблицы
        elseif($PresentForm == 'horhistogrammes')
        {
          $inx = 1;
          $TdWidth = $HorHistImgWidth * 100;
          $TdWidth = "width = {$TdWidth}";
          for($c = 0; $c < count($PollsMD[$i][$Variants]); $c = $c + 2)
	        {
	          $Percentage = $PollsMD[$i][$Variants][($c+1)] * $_1Percent;
	          $ImageWidth = round($Percentage * $HorHistImgWidth, 0);
	          print "<table cellspacing=2 cellpadding=5 border=1>";
	            print "<tr>";
	              print "<td colspan=3><b>{$PollsMD[$i][$Variants][$c]}</b></td>";
	            print "</tr>";
	            print "<tr>";
	              if($ImageWidth != 0)
	                print "<td {$TdWidth}><img src='poll/pictures/hor_hist_var{$inx}.jpg' width={$ImageWidth} height={$HorHistImgHeight}></td>";
	              else
	                print "<td>&nbsp</td>";
	              print "<td align=center width=40>";
	                print number_format($Percentage, 0)."%";
	              print "</td>";
	              print "<td align=center width=60>{$PollsMD[$i][$Variants][($c+1)]}</td>";
	            print "</tr>";
	          print "</table>";
	          $inx++;
	        }
        }

         //отображаем результаты jpgraph_bar1
         elseif($PresentForm == 'jpgraph_bar1')
         {
           include_once ("poll/graphconf/bar1.inc");
           $inx = 1;
           for($c = 0; $c < count($PollsMD[$i][$Variants]); $c = $c + 2)
           {
             $VotedArr[] = $_1Percent * $PollsMD[$i][$Variants][($c+1)];
             $LegendArr[] = $inx;
             $VariantsArr[] = "<tr><td width=25>{$inx}</td><td>{$PollsMD[$i][$Variants][$c]}</td></tr>";
             $inx++;
           }
           $Time = $PollsMD[$i]['time'];
	         $ImgFile = "poll/pictures/jpgraph_bar1{$Time}.jpg";
           if(!file_exists($ImgFile))
             GenJpGraphBar1($VotedArr, $LegendArr, $ImgFile, $VarRGB);
           //показывам картинку
           print "<table cellspacing=0, cellpadding=0 border=0>";
             print "<tr><td><img src='{$ImgFile}' width={$Width} height={$Height}></td></tr>";
           print "</table>";
           print "<table cellspacing=0, cellpadding=0 width=400 border=0>";
             for($c = 0; $c < count($VariantsArr); $c++)
               print $VariantsArr[$c];
           print "</table>";
           $VotedArr = ''; $LegendArr = '';  $VariantsArr = '';
        }
        //отображаем результаты jpgraph_bar2
         elseif($PresentForm == 'jpgraph_bar2')
         {
           include_once ("poll/graphconf/bar2.inc");
           $inx = 1;
           for($c = 0; $c < count($PollsMD[$i][$Variants]); $c = $c + 2)
           {
             $VotedArr[] = $_1Percent * $PollsMD[$i][$Variants][($c+1)];
             $LegendArr[] = $inx;
             $VariantsArr[] = "<tr><td width=25>{$inx}</td><td>{$PollsMD[$i][$Variants][$c]}</td></tr>";
             $inx++;
           }
           $Time = $PollsMD[$i]['time'];
	         $ImgFile = "poll/pictures/jpgraph_bar1{$Time}.jpg";
           //if(!file_exists($ImgFile))
             GenJpGraphBar2($VotedArr, $LegendArr, $ImgFile, $VarRGB);
           //показывам картинку
           print "<table cellspacing=0, cellpadding=0 border=0>";
             print "<tr><td><img src='{$ImgFile}' width={$Width} height={$Height}></td></tr>";
           print "</table>";
           print "<table cellspacing=0, cellpadding=0 width=400 border=0>";
             for($c = 0; $c < count($VariantsArr); $c++)
               print $VariantsArr[$c];
           print "</table>";
           $VotedArr = ''; $LegendArr = '';  $VariantsArr = '';
        }
        //круговые диаграммы
        elseif($PresentForm == 'pie')
	      {
          include_once ("poll/graphconf/pie.inc");
          ///////////////////////////////
          $ColorsExist = false;
          $inx = 1;
	        for($c = 0; $c < count($PollsMD[$i][$Variants]); $c = $c + 2)
	        {
	          $VotedArr[] = $_1Percent * $PollsMD[$i][$Variants][($c+1)];
	          $LegendArr[] = "{$inx} - ".trim($PollsMD[$i][$Variants][($c+1)]);
	          $VariantsArr[] = "<tr><td width=25>{$inx}</td><td>{$PollsMD[$i][$Variants][$c]}</td></tr>";
	          $inx++;
	        }
	        ////////////////////////////
          if($ColorsExist == false)
          {
            $ColorsArr = RGBToHex($VarRGB);
            $ColorsExist = true;
          }
          ///////////////////////////////
	        $Time = $PollsMD[$i]['time'];
	        $ImgFile = "poll/pictures/pie{$Time}.jpg";
	        if(!file_exists($ImgFile))
	          GenPie($VotedArr, $LegendArr, $ColorsArr, $ImgFile);
	        print "<table cellspacing=0, cellpadding=0 border=0>";
	          print "<tr><td><img src='{$ImgFile}' width={$Width} height={$Height}></td></tr>";
	        print "</table>";
	        print "<table cellspacing=0, cellpadding=0 border=0>";
	          for($c = 0; $c < count($VariantsArr); $c++)
	            print $VariantsArr[$c];
	        print "</table>";
          $VotedArr = ''; $LegendArr = '';  $VariantsArr = '';
	      }
        //отображаем результаты в виде 3д диаграммы
        elseif($PresentForm == 'PiePlot3D')
	      {
          include_once ("poll/graphconf/pieplot3d.inc");
          ///////////////////////////////
          $ColorsExist = false;
          $inx = 1;
	        for($c = 0; $c < count($PollsMD[$i][$Variants]); $c = $c + 2)
	        {
	          $VotedArr[] = $_1Percent * $PollsMD[$i][$Variants][($c+1)];
	          $LegendArr[] = "{$inx} - ".trim($PollsMD[$i][$Variants][($c+1)]);
	          $VariantsArr[] = "<tr><td width=25>{$inx}</td><td>{$PollsMD[$i][$Variants][$c]}</td></tr>";
	          $inx++;
	        }
	        ////////////////////////////
          if($ColorsExist == false)
          {
            $ColorsArr = RGBToHex($VarRGB);
            $ColorsExist = true;
          }
          ///////////////////////////////
	        $Time = $PollsMD[$i]['time'];
	        $ImgFile = "poll/pictures/pieplot3d{$Time}.jpg";
	        if(!file_exists($ImgFile))
	          GenPiePlot3d($VotedArr, $LegendArr, $ColorsArr, $ImgFile);
          print "<table cellspacing=0, cellpadding=0 border=0>";
            print "<tr><td><img src='{$ImgFile}' width={$Width} height={$Height}></td></tr>";
          print "</table>";
          print "<table cellspacing=0, cellpadding=0 border=0>";
	          for($c = 0; $c < count($VariantsArr); $c++)
	            print $VariantsArr[$c];
	        print "</table>";
          $VotedArr = ''; $LegendArr = '';  $VariantsArr = '';
	      }

        //отображаем результаты scatterplot
         elseif($PresentForm == 'scatterplot')
         {
           include_once ("poll/graphconf/scatterplot.inc");
           $inx = 1;
           for($c = 0; $c < count($PollsMD[$i][$Variants]); $c = $c + 2)
           {
             $VotedArr[] = $_1Percent * $PollsMD[$i][$Variants][($c+1)];
             $LegendArr[] = $inx;
             $VariantsArr[] = "<tr><td width=25>{$inx}</td><td>{$PollsMD[$i][$Variants][$c]}</td></tr>";
             $inx++;
           }
           $Time = $PollsMD[$i]['time'];
	         $ImgFile = "poll/pictures/scatterplot{$Time}.jpg";
           if(!file_exists($ImgFile))
             GenScatterPlot($VotedArr, $LegendArr, $ImgFile);
           //показывам картинку
           print "<table cellspacing=0, cellpadding=0 border=0>";
             print "<tr><td><img src='{$ImgFile}' width={$Width} height={$Height}></td></tr>";
           print "</table>";
           print "<table cellspacing=0, cellpadding=0 width=400 border=0>";
             for($c = 0; $c < count($VariantsArr); $c++)
               print $VariantsArr[$c];
           print "</table>";
           $VotedArr = ''; $LegendArr = '';  $VariantsArr = '';
        }
        //гистограммы обычные
        elseif($PresentForm == 'verthistogrammes')
        {
          print "<table cellspacing=2 cellpadding=5 width=50% border=1>";
   	      //общая сумма за каждый голос
	        print "<tr align=center>";
	        $Count = count($PollsMD[$i][$Variants]);
	        for($c = 1; $c < $Count; $c = $c + 2)
	        {
	          print "<td>{$PollsMD[$i][$Variants][$c]}</td>";

	        }
	        print "</tr>";
	        //вертикальная гистограмма
	        $TrHeight = 100 * $VertHistImgHeight;
	        $TrHeight = "height = {$TrHeight}";
	        print "<tr align=center>";
	        $inx = 1;
	        for($c = 0; $c < $Count; $c = $c + 2)
	        {
	          $Percentage = number_format($PollsMD[$i][$Variants][($c+1)] * $_1Percent, 0);
	          $PercentageArr[$inx] = $Percentage;
	          $ImgHeight = $Percentage * $VertHistImgHeight;
	          $ImgWidth = $VertHistImgWidth;
	          print "<td valign=bottom {$TrHeight}><img src='poll/pictures/vert_hist_var{$inx}.jpg' width={$ImgWidth} height={$ImgHeight}></td>";
	          $TrHeight = '';
	          $inx++;
	        }
	        print "</tr>";
	        //номера вариантов ответа
	        print "<tr align=center>";
	        for($c = 1; $c <= $Count/2; $c++)
	          print "<td><b>{$c}</b></td>";
	        print "</tr>";
	        print "</table>";
	        //легенда
	        //if($ShowLegend == 'on')
	        //{
	          print "<table cellspacing=2 cellpadding=5 width=50% border=1>";
	          $inx=1;
	          for($c = 0; $c < $Count; $c = $c + 2)
	          {
	            print "<tr>";
	              print "<td width= 30>{$inx}</td>";
	              print "<td>{$PollsMD[$i][$Variants][$c]}</td>";
	              print "<td align=center width=40>{$PercentageArr[$inx]}%</td>";
	              $inx++;
	            print "</tr>";
	          }
	          print "</table>";
	        //}
        }
        print "<br><br>";
	      $Total = '';

	    } //if($PollsMD[$i]['showstatus'] == 1)
	  } //for($i = 0; $i < count($PollsMD); $i++)
  } //else   if(strpos($ShowStatus, '1') === false)
?>